diff --git a/manifests/function/phase-helpers/wait_node/kubectl_wait_node.sh b/manifests/function/phase-helpers/wait_node/kubectl_wait_node.sh
index b3805ca41..1b627d1a3 100644
--- a/manifests/function/phase-helpers/wait_node/kubectl_wait_node.sh
+++ b/manifests/function/phase-helpers/wait_node/kubectl_wait_node.sh
@@ -12,6 +12,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+set -xe
+
 N=0
 MAX_RETRY=30
 DELAY=60
diff --git a/manifests/function/phase-helpers/wait_tigera/kubectl_wait_tigera.sh b/manifests/function/phase-helpers/wait_tigera/kubectl_wait_tigera.sh
index 414cb0d89..da20d6390 100644
--- a/manifests/function/phase-helpers/wait_tigera/kubectl_wait_tigera.sh
+++ b/manifests/function/phase-helpers/wait_tigera/kubectl_wait_tigera.sh
@@ -12,6 +12,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+set -xe
+
 echo "Wait for Calico to be deployed using tigera" 1>&2
 kubectl --kubeconfig $KUBECONFIG --context $KCTL_CONTEXT  wait --all-namespaces --for=condition=Ready pods --all --timeout=1000s 1>&2